Thread Tools
Jul 15, 2004, 09:05 PM
Registered User

Phx 60 just updated from CC needs software update to program with Phx Link??


I just received back from CC my Phx 60 and I wanted to program it from the phx link. When I plugged it in it said I needed to update the software. Why would this be? I had sent it in to be upgraded so I could use the link. Is CC not installing the most current software when they make the older versions compatible with the 'link?

I am using this in a helicopter so I am leering of updating the software because I have read of problems with the gov. mode on some versions.

Thanks, Joe
Last edited by JoeR; Jul 15, 2004 at 09:06 PM. Reason: wanted to add more info to the title
Sign up now
to remove ads between posts
Jul 15, 2004, 09:45 PM
Beware of squishy fishy
Fishstyx's Avatar
What version of the PH link software are you running? 1.02 or 1.03Beta?
Jul 16, 2004, 12:48 AM
myk
myk
Registered User
myk's Avatar
I think the software on the controller you just got back is newer than anything available on their website, therefore your current link software won't reconize it and thinks it needs to be updated, I would leave it alone until you hear from CC.

Mike
Jul 16, 2004, 06:37 AM
Registered User
I am running 1.02.

I don't like the feature that requires one to update the software before being allowed to program it from the Phx Link. It would be nice to have the 'link identify the version and allow one the option of updating to the latest. I just would like to be able to program the controller visually and there is usually a computer close by
Last edited by JoeR; Jul 16, 2004 at 07:11 AM.
Jul 16, 2004, 07:53 AM
Beware of squishy fishy
Fishstyx's Avatar
Or at the very least it would be nice the PHX-Link SW could tell you what SW version is on the ESC before you update.

Jason